# AdSense Management API . accounts . urlchannels

## Instance Methods

List all URL channels in the specified ad client for the specified account.

Retrieves the next page of results.

### Method Details

`list(accountId, adClientId, pageToken=None, maxResults=None)`

    List all URL channels in the specified ad client for the specified account.

    Args:
      accountId: string, Account to which the ad client belongs. (required)
      adClientId: string, Ad client for which to list URL channels. (required)
      pageToken: string, A continuation token, used to page through URL channels. To retrieve the next page, set this parameter to the value of "nextPageToken" from the previous response.
      maxResults: integer, The maximum number of URL channels to include in the response, used for paging.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # Continuation token used to page through URL channels. To retrieve the next page of results, set the next request's "pageToken" value to this.
        "items": [ # The URL channels returned in this list response.
          {
            "kind": "adsense#urlChannel", # Kind of resource this is, in this case adsense#urlChannel.
            "id": "A String", # Unique identifier of this URL channel. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
            "urlPattern": "A String", # URL Pattern of this URL channel. Does not include "http://" or "https://". Example: www.example.com/home
          },
        ],
        "kind": "adsense#urlChannels", # Kind of list this is, in this case adsense#urlChannels.
        "etag": "A String", # ETag of this response for caching purposes.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.